curl --request GET \
--url https://api.promptrun.ai/v1/prompt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.promptrun.ai/v1/prompt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.promptrun.ai/v1/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedAt": "2025-07-21T04:17:39.294Z",
"prompt": "Generate {{word_count}} words essay about Georgian History",
"version": 9,
"versionMessage": "I have updated system prompt to generate {{word_count}}",
"project": {
"id": "d0d52c6e-85ba-4025-a84c-3c99834fe2ac",
"name": "Helpful AI Assistant"
},
"tag": "latest"
}Get Prompt
Fetch a specific prompt version for a project using either version number or tag. Either version or tag must be provided, but not both. This endpoint is available through our SDK and REST API for organizations to fetch their prompt versions.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Project ID (UUID)
Version number of the prompt
Tag of the prompt
Response
Returns the specified prompt version
Last updated timestamp
"2025-07-21T04:17:39.294Z"
The prompt content
"Generate {{word_count}} words essay about Georgian History"
Version number of the prompt
9
Version message describing the changes
"I have updated system prompt to generate {{word_count}}"
Project information
Show child attributes
Show child attributes
Tag assigned to the prompt
"latest"